import { animate, style, transition, trigger } from '@angular/animations';
import { Component, Input } from '@angular/core';

@Component({
  selector: 'app-overlay',
  templateUrl: './overlay.component.html',
  styleUrls: ['./overlay.component.scss'],
  animations: [
    trigger('fadeOutAnimation', [
      transition(':leave',
        animate(300, style({opacity: 0})))
    ])
  ]
})
export class OverlayComponent {

  @Input() isActive = false;

}
